// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define addClientCompdef_AddClient_impl_BODY

/************************************************************
 AddClient_impl class body
 ************************************************************/

// include associated header file
#include "addClientCompdef/AddClient_impl.h"

// Derived includes directives
#include "rclcpp/rclcpp.hpp"

namespace addClientCompdef {

// static attributes (if any)

/**
 * 
 * @param options 
 */
AddClient_impl::AddClient_impl(rclcpp::NodeOptions /*in*/options) :
    AddClient(options) {
}

/**
 * 
 */
void AddClient_impl::fOnActivate() {
}

/**
 * 
 */
void AddClient_impl::fCallAdd() {
}

/**
 * 
 * @param future 
 */
void AddClient_impl::fResultCallback(
    rclcpp::Client<simple_msgs::srv::AddServiceDef>::SharedFuture /*in*/future) {
}

/**
 * 
 */
void AddClient_impl::fPeriodic() {
}

} // of namespace addClientCompdef

/************************************************************
 End of AddClient_impl class body
 ************************************************************/
